Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.hyphenation
Interface PatternConsumer

All Known Implementing Classes:
  HyphenationTree, PatternParser

    public interface PatternConsumer

This interface is used to connect the XML pattern file parser to the hyphenation tree.

This work was authored by Carlos Villegas (cav@uniscope.co.jp).

Method Summary
`void` | `addClass(java.lang.String chargroup)` Add a character class.
`void` | `addException(java.lang.String word, java.util.ArrayList hyphenatedword)` Add a hyphenation exception.
`void` | `addPattern(java.lang.String pattern, java.lang.String values)` Add hyphenation patterns.

Method Detail

### addClass

    void addClass(java.lang.String chargroup)

  Add a character class. A character class defines characters that are considered equivalent for the purpose of hyphenation (e.g. "aA"). It usually means to ignore case.

  Parameters:
    `chargroup` - character group

### addException

    void addException(java.lang.String word,
                      java.util.ArrayList hyphenatedword)

  Add a hyphenation exception. An exception replaces the result obtained by the algorithm for cases for which this fails or the user wants to provide his own hyphenation. A hyphenatedword is a vector of alternating String's and `Hyphen` instances

  Parameters:
    `word` - word to add as an exception
    `hyphenatedword` - pre-hyphenated word

### addPattern

    void addPattern(java.lang.String pattern,
                    java.lang.String values)

  Add hyphenation patterns.

  Parameters:
    `pattern` - the pattern
    `values` - interletter values expressed as a string of digit characters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.